summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAustin English <wizardedit@gentoo.org>2016-04-27 18:39:33 -0500
committerAustin English <wizardedit@gentoo.org>2016-04-27 18:39:46 -0500
commitac5c9dab8b68fcf1e7187939e4213cbb1f96e4e1 (patch)
tree1e74123f5c423879b0dad0e02206950ffa29209b /net-im/gg-transport
parentapp-misc/mouseremote: regenerate Manifest (diff)
downloadgentoo-ac5c9dab8b68fcf1e7187939e4213cbb1f96e4e1.tar.gz
gentoo-ac5c9dab8b68fcf1e7187939e4213cbb1f96e4e1.tar.bz2
gentoo-ac5c9dab8b68fcf1e7187939e4213cbb1f96e4e1.zip
net-im/gg-transport: use #!/sbin/openrc-run instead of #!/sbin/runscript
Gentoo-Bug: https://bugs.gentoo.org/573846 Also update to EAPI=6 and remove an unneeded file Package-Manager: portage-2.2.26
Diffstat (limited to 'net-im/gg-transport')
-rw-r--r--net-im/gg-transport/files/jggtrans-2.2.2-r120
-rw-r--r--net-im/gg-transport/files/jggtrans-2.2.44
-rw-r--r--net-im/gg-transport/gg-transport-2.2.4-r1.ebuild48
3 files changed, 50 insertions, 22 deletions
diff --git a/net-im/gg-transport/files/jggtrans-2.2.2-r1 b/net-im/gg-transport/files/jggtrans-2.2.2-r1
deleted file mode 100644
index 7e38a40b223..00000000000
--- a/net-im/gg-transport/files/jggtrans-2.2.2-r1
+++ /dev/null
@@ -1,20 +0,0 @@
-#!/sbin/runscript
-# Copyright 1999-2006 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-depend() {
- after net jabber-server
-}
-
-start() {
- ebegin "Starting Jabber GG Transport"
- start-stop-daemon --start --user jabber --group jabber --exec /usr/sbin/jggtrans -- -u jabber -g jabber /etc/jabber/jggtrans.xml
- eend $?
-}
-
-stop() {
- ebegin "Stopping Jabber GG Transport"
- start-stop-daemon --stop --pidfile /var/run/jabber/jggtrans.pid
- eend $?
-}
diff --git a/net-im/gg-transport/files/jggtrans-2.2.4 b/net-im/gg-transport/files/jggtrans-2.2.4
index 7e38a40b223..2832784d9d8 100644
--- a/net-im/gg-transport/files/jggtrans-2.2.4
+++ b/net-im/gg-transport/files/jggtrans-2.2.4
@@ -1,5 +1,5 @@
-#!/sbin/runscript
-# Copyright 1999-2006 Gentoo Foundation
+#!/sbin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
diff --git a/net-im/gg-transport/gg-transport-2.2.4-r1.ebuild b/net-im/gg-transport/gg-transport-2.2.4-r1.ebuild
new file mode 100644
index 00000000000..789f3fb11d1
--- /dev/null
+++ b/net-im/gg-transport/gg-transport-2.2.4-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+DESCRIPTION="Gadu-Gadu transport for Jabber"
+HOMEPAGE="https://github.com/Jajcus/jggtrans"
+SRC_URI="mirror://github/Jajcus/jggtrans/jggtrans-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND=">=net-im/jabber-base-0.01
+ >=dev-libs/glib-2.6.4
+ net-dns/libidn
+ >=net-libs/libgadu-1.9.0_rc3
+ dev-libs/expat"
+DEPEND="${RDEPEND}
+ virtual/pkgconfig"
+
+S="${WORKDIR}/jggtrans-${PV}"
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ keepdir /var/spool/jabber/gg
+ keepdir /var/run/jabber
+ keepdir /var/log/jabber
+ fowners jabber:jabber /var/spool/jabber/gg
+ fowners jabber:jabber /var/run/jabber
+ fowners jabber:jabber /var/log/jabber
+
+ newinitd "${FILESDIR}/jggtrans-${PVR}" jggtrans
+
+ insinto /etc/jabber
+ doins jggtrans.xml
+
+ sed -i \
+ -e 's,/var/lib/jabber/spool/gg.localhost/,/var/spool/jabber/gg/,' \
+ -e 's,/var/lib/jabber/ggtrans.pid,/var/run/jabber/jggtrans.pid,' \
+ -e 's,/tmp/ggtrans.log,/var/log/jabber/jggtrans.log,' \
+ "${D}/etc/jabber/jggtrans.xml" || die "sed failed"
+
+ dodoc AUTHORS ChangeLog README README.Pl NEWS
+}